using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace GerbilManagerWebAPI.Migrations
{
    /// <inheritdoc />
    public partial class AddFeedbackFixNoteContextThread : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "AgentContext",
                table: "Feedback",
                type: "text",
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "FixNote",
                table: "Feedback",
                type: "text",
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "Thread",
                table: "Feedback",
                type: "text",
                nullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "AgentContext",
                table: "Feedback");

            migrationBuilder.DropColumn(
                name: "FixNote",
                table: "Feedback");

            migrationBuilder.DropColumn(
                name: "Thread",
                table: "Feedback");
        }
    }
}
